import { ComponentI18NConfig, CopyCodeI18NConfig, HopeLangI18nConfig, PageInfoI18nConfig, ReadingTimeI18NCOnfig } from "../../types";
/** Types for supported lang codes */
export declare type Langs = "zh-CN" | "en-US" | "vi-VN";
/** Types for supported lang paths */
export declare type LangPaths = "/zh/" | "/en/" | "/vi/";
/** Supported lang codes */
export declare const langs: Langs[];
/** Lang to pat convert */
export declare const lang2PathConfig: Record<Langs, LangPaths>;
/** Path to lang convert */
export declare const path2langConfig: Record<LangPaths, Langs>;
/** Muti language config */
export declare const localesConfig: Record<Langs, HopeLangI18nConfig>;
export declare type PluginI18nConfig<T> = Record<LangPaths, T> & {
    "/"?: T;
};
/** Muti language config for plugins */
export declare const config: {
    container: Record<string, PluginI18nConfig<string>>;
    component: PluginI18nConfig<ComponentI18NConfig>;
    copyCode: PluginI18nConfig<CopyCodeI18NConfig>;
    pageInfo: PluginI18nConfig<PageInfoI18nConfig>;
    pwa: PluginI18nConfig<string>;
    readingTime: PluginI18nConfig<ReadingTimeI18NCOnfig>;
    valine: PluginI18nConfig<string>;
};
