import { Langs, LangPaths } from "./config";
import { HopeLangI18nConfig } from "../../types";
export declare const checkLang: (lang: string) => boolean;
/** 获取语言对应路径 */
export declare const lang2path: (lang: string) => LangPaths | "/";
/** 获取路径对应语言 */
export declare const path2lang: (path: string) => Langs;
/**
 * 获取特定语言的本地化文字
 *
 * @param lang
 */
export declare const getLocale: (lang: string) => HopeLangI18nConfig;
/** 获得默认多语言配置 */
export declare const getDefaultLocale: () => HopeLangI18nConfig;
declare const _default: {
    checkLang: (lang: string) => boolean;
    config: {
        container: Record<string, import("./config").PluginI18nConfig<string>>;
        component: import("./config").PluginI18nConfig<import("../../types").ComponentI18NConfig>;
        copyCode: import("./config").PluginI18nConfig<import("../../types").CopyCodeI18NConfig>;
        pageInfo: import("./config").PluginI18nConfig<import("../../types").PageInfoI18nConfig>;
        pwa: import("./config").PluginI18nConfig<string>;
        readingTime: import("./config").PluginI18nConfig<import("../../types").ReadingTimeI18NCOnfig>;
        valine: import("./config").PluginI18nConfig<string>;
    };
    langs: Langs[];
    lang2path: (lang: string) => "/zh/" | "/en/" | "/vi/" | "/";
    path2lang: (path: string) => Langs;
    getDefaultLocale: () => HopeLangI18nConfig;
    getLocale: (lang: string) => HopeLangI18nConfig;
};
export default _default;
