export * from "./i18n/config";
export declare const capitalize: (word: string) => string;
export declare const strictCapitalize: (word: string) => string;
export declare const deepAssign: <T extends Record<string, any>, U extends Record<string, any> = T, V extends Record<string, any> = T>(originObject: T, ...assignObjects: U[]) => V;
export declare const deepAssignReverse: (...assignObjects: Record<string, any>[]) => Record<string, any>;
export declare const dom: {
    changeClass: (domClass: DOMTokenList, insert: string[], remove: string[]) => void;
};
export declare const i18n: {
    checkLang: (lang: string) => boolean;
    config: {
        container: Record<string, import("./i18n/config").PluginI18nConfig<string>>;
        component: import("./i18n/config").PluginI18nConfig<import("../types").ComponentI18NConfig>;
        copyCode: import("./i18n/config").PluginI18nConfig<import("../types").CopyCodeI18NConfig>;
        pageInfo: import("./i18n/config").PluginI18nConfig<import("../types").PageInfoI18nConfig>;
        pwa: import("./i18n/config").PluginI18nConfig<string>;
        readingTime: import("./i18n/config").PluginI18nConfig<import("../types").ReadingTimeI18NCOnfig>;
        valine: import("./i18n/config").PluginI18nConfig<string>;
    };
    langs: import("./i18n/config").Langs[];
    lang2path: (lang: string) => "/zh/" | "/en/" | "/vi/" | "/";
    path2lang: (path: string) => import("./i18n/config").Langs;
    getDefaultLocale: () => import("../types").HopeLangI18nConfig;
    getLocale: (lang: string) => import("../types").HopeLangI18nConfig;
};
declare const _default: {
    deepAssign: <T extends Record<string, any>, U extends Record<string, any> = T, V extends Record<string, any> = T>(originObject: T, ...assignObjects: U[]) => V;
    deepAssignReverse: (...assignObjects: Record<string, any>[]) => Record<string, any>;
    i18n: {
        checkLang: (lang: string) => boolean;
        config: {
            container: Record<string, import("./i18n/config").PluginI18nConfig<string>>;
            component: import("./i18n/config").PluginI18nConfig<import("../types").ComponentI18NConfig>;
            copyCode: import("./i18n/config").PluginI18nConfig<import("../types").CopyCodeI18NConfig>;
            pageInfo: import("./i18n/config").PluginI18nConfig<import("../types").PageInfoI18nConfig>;
            pwa: import("./i18n/config").PluginI18nConfig<string>;
            readingTime: import("./i18n/config").PluginI18nConfig<import("../types").ReadingTimeI18NCOnfig>;
            valine: import("./i18n/config").PluginI18nConfig<string>;
        };
        langs: import("./i18n/config").Langs[];
        lang2path: (lang: string) => "/zh/" | "/en/" | "/vi/" | "/";
        path2lang: (path: string) => import("./i18n/config").Langs;
        getDefaultLocale: () => import("../types").HopeLangI18nConfig;
        getLocale: (lang: string) => import("../types").HopeLangI18nConfig;
    };
};
export default _default;
